/* Copyright (c) 2009, Delft University of Technology

    This file is part of the MEGS package.

    The MEGS pakcage is free software: you can redistribute it
    and/or modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    The MEGS pakcage is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the MEGS package.  If not, see
    <http://www.gnu.org/licenses/>.
*/
package engine;

import java.text.DecimalFormat;


public class Assert {
	int number;
	String message;
	
	private int succes = 0; 
	private int failed = 0;
	private int skipped = 0; 
	
	
	public Assert(int num, String mes)
	{
		number = num;
		message =mes;
	}
	
	public void countSucces()
	{
		succes++;
	}
	
	public void countSkipped()
	{
		skipped++;
	}
	public void countFailed()
	{
		failed++;
	}
	
	public String toString()
	{
		DecimalFormat df = new DecimalFormat("0.000");
	
		String perc = "0";
		if(failed+succes > 0) //prevent div by 0
		{
			perc = df.format(100*failed/(double)(failed+succes));
		}
		//skipped asserst are counted as failed 
		return number + " : " + (failed)+ " / " + (failed+succes) + 
		            " (" + perc + "%) (" +
		            skipped +" skipped) : "
		            + message;

	}
}
