/* Copyright (c) 2009, Delft University of Technology

    This file is part of the MEGS package.

    The MEGS pakcage is free software: you can redistribute it
    and/or modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    The MEGS pakcage is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the MEGS package.  If not, see
    <http://www.gnu.org/licenses/>.
*/
package engine;

public class AssertEvent extends Event {
	
	/**
	 * The number of the assert
	 */
	int assertNum = 0;
	
	private boolean succes = false;
	
	private boolean isChecked = true;
	
	public String toString()
	{
		return super.toString() + "Assert : " + assertNum;
	}

	public int getAssertNum() {
		return assertNum;
	}


	public boolean isSucces() {
		return succes;
	}

	public void setSucces(boolean succes) {
		this.succes = succes;
	}

	public boolean isChecked() {
		return isChecked;
	}

	public void setChecked(boolean isChecked) {
		this.isChecked = isChecked;
	}
	
	/**
	 * Returs a new AssertEvent with a different number and the rest equal. 
	 * To provide 1 call for multiple. 
	 * 
	 * @param n
	 * @return
	 */
	public AssertEvent addedNum(int n)
	{
		AssertEvent e = new AssertEvent();
		e.assertNum = n;
		e.node = node;
		e.time = time;
		
		return e;
	}


}
