/* Copyright (c) 2009, Delft University of Technology

    This file is part of the MEGS package.

    The MEGS pakcage is free software: you can redistribute it
    and/or modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    The MEGS pakcage is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the MEGS package.  If not, see
    <http://www.gnu.org/licenses/>.
*/
package engine;

import java.util.*;

public class Asserts {
	TreeMap<Integer, Assert> asserts = new TreeMap<Integer, Assert>();
	
	SystemStatus sys;
	
	public Asserts(SystemStatus sys)
	{
		this.sys = sys;
		//make all the assert objects
		for(int key : sys.assertNums())
		{
			Assert as = new Assert(key,sys.getAssertName(key));
			asserts.put(key, as);
		}
	}
	
	
	/**
	 * Returns the assert with num, or null if it doesn't exist
	 * @param num
	 */
	public Assert getAssert(int num)
	{
		return asserts.get(num);
	}
	
	
	public String toString()
	{
		String s = "";
		for(Object o : asserts.values())
		{
			Assert as = (Assert) o;
			s += as + "\n";
		}
		return s;
	}
}
