/* Copyright (c) 2009, Delft University of Technology

    This file is part of the MEGS package.

    The MEGS pakcage is free software: you can redistribute it
    and/or modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    The MEGS pakcage is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the MEGS package.  If not, see
    <http://www.gnu.org/licenses/>.
*/
package engine;

import java.text.*;


/**
 * @author menno
 * Class describing one event, this should really be 2 classes
 */
public abstract class Event {
	
	/**
	 * Hide the constructor, use create event
	 */
	protected Event()
	{
		
	}
	
	/**
	 * The node the event occurred in
	 */
	int node;
	/**
	 * The time (s) the event occurred at
	 */
	double time;
	
	
	public String toString()
	{
		DecimalFormat df = new DecimalFormat("0.000");
		String s = node + " - " + df.format(time) + " : "; 
		return s;
	}

	public int getNode() {
		return node;
	}

	public double getTime() {
		return time;
	}
		

	
}
